# pandas.core.groupby.GroupBy.first

GroupBy.first(numeric_only=False, min_count=- 1)

  Compute first of group values.

  Parameters
    numeric_only bool, default False

      Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data.

    min_count int, default -1

      The required number of valid values to perform the operation. If fewer than `min_count` non-NA values are present the result will be NA.

  Returns
    Series or DataFrame

      Computed first of values within each group.